Debian Bug report logs - #603710
root and swap devices on lvm do not correctly show up in udev (missing symlinks)

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 16 Nov 2010 17:36:01 UTC

Severity: serious

Tags: squeeze-ignore

Merged with 593625

Found in version lvm2/2.02.66-4

Fixed in version lvm2/2.02.84-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, md@Linux.IT, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Tue, 16 Nov 2010 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to md@Linux.IT, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 16 Nov 2010 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Tue, 16 Nov 2010 18:32:57 +0100
[Message part 1 (text/plain, inline)]
Package: lvm2
Version: 2.02.66-4
Severity: important

Hi,

I did a test installation using d-i and the LVM based setup.
It created 
/dev/sda1, ext2, /boot
/dev/sda2, LVM

LVM setup is
/dev/dm-0 /root (/dev/debian/root)
/dev/dm-1 swap  (/dev/debian/swap_1)
/dev/dm-2 /home (/dev/debian/home)

As you can see from the attached log, while the symlinks in /dev are
created, they do not show up correctly in the udev database (not the
missing S: entries for dm-0 and dm-1), so the information is out of
sync.

This problem is most likely related to [1]

Tools like udisks and systemd rely on correct information as provided by
udev so this is a major issue for them.

Cheers,
Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593375

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lvm2 depends on:
ii  dmsetup                      2:1.02.48-4 The Linux Kernel Device Mapper use
ii  libc6                        2.11.2-7    Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1           2:1.02.48-4 The Linux Kernel Device Mapper use
ii  libreadline5                 5.2-7       GNU readline and history libraries
ii  lsb-base                     3.2-26      Linux Standard Base 3.2 init scrip

lvm2 recommends no packages.

lvm2 suggests no packages.
[lvm.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Tue, 16 Nov 2010 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 16 Nov 2010 17:48:05 GMT) Full text and rfc822 format available.

Message #10 received at 603710@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Tue, 16 Nov 2010 18:44:48 +0100
[Message part 1 (text/plain, inline)]
On Nov 16, Michael Biebl <biebl@debian.org> wrote:

> As you can see from the attached log, while the symlinks in /dev are
> created, they do not show up correctly in the udev database (not the
> missing S: entries for dm-0 and dm-1), so the information is out of
> sync.
As detailed in #590665 and #593625 and as requested by the upstream
dmsetup maintainer, the lvm userspace needs to be fixed to cooperate
with udev.
I can't understand why this is not RC.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Wed, 17 Nov 2010 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Wed, 17 Nov 2010 00:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 603710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Wed, 17 Nov 2010 01:03:08 +0100
[Message part 1 (text/plain, inline)]
On 16.11.2010 18:44, Marco d'Itri wrote:
> On Nov 16, Michael Biebl <biebl@debian.org> wrote:
> 
>> As you can see from the attached log, while the symlinks in /dev are
>> created, they do not show up correctly in the udev database (not the
>> missing S: entries for dm-0 and dm-1), so the information is out of
>> sync.
> As detailed in #590665 and #593625 and as requested by the upstream
> dmsetup maintainer, the lvm userspace needs to be fixed to cooperate
> with udev.
> I can't understand why this is not RC.

I'm fine with bumping the severity. As systemd is currently only available in
experimental, it doesn't affect the squeeze release, yet udisks is (and possibly
other programs using udev).

CCing the release team to raise awareness for this issue.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Sun, 21 Nov 2010 00:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Sun, 21 Nov 2010 00:03:02 GMT) Full text and rfc822 format available.

Message #20 received at 603710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Marco d'Itri <md@Linux.IT>
Cc: 603710@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Sun, 21 Nov 2010 00:59:37 +0100
[Message part 1 (text/plain, inline)]
severity 603710 serious
thanks

On 16.11.2010 18:44, Marco d'Itri wrote:
> On Nov 16, Michael Biebl <biebl@debian.org> wrote:
> 
>> As you can see from the attached log, while the symlinks in /dev are
>> created, they do not show up correctly in the udev database (not the
>> missing S: entries for dm-0 and dm-1), so the information is out of
>> sync.
> As detailed in #590665 and #593625 and as requested by the upstream
> dmsetup maintainer, the lvm userspace needs to be fixed to cooperate
> with udev.
> I can't understand why this is not RC.

Agreed. Bumping severity to serious. We should get a fix for this into squeeze.

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 21 Nov 2010 00:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Thu, 16 Dec 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 16 Dec 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 603710@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Marco d'Itri <md@Linux.IT>, 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Thu, 16 Dec 2010 20:14:11 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 17, 2010 at 01:03:08 +0100, Michael Biebl wrote:

> CCing the release team to raise awareness for this issue.
> 
I have no idea what this is about, but it seems you guys need to fight
it out and then come back to us when you have packages you want to see
in squeeze?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Thu, 16 Dec 2010 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 16 Dec 2010 20:24:03 GMT) Full text and rfc822 format available.

Message #32 received at 603710@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Julien Cristau <jcristau@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Thu, 16 Dec 2010 21:21:06 +0100
[Message part 1 (text/plain, inline)]
On Dec 16, Julien Cristau <jcristau@debian.org> wrote:

> > CCing the release team to raise awareness for this issue.
> I have no idea what this is about, but it seems you guys need to fight
LVM is unreliable in squeeze.

> it out and then come back to us when you have packages you want to see
> in squeeze?
The upstream maintainer requested that the udev rules are updated, and
so I did.
I even added back a bug to udev because this was not fixed. The
maintainer did not provide any counterargument.
What else should I do?

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Thu, 23 Dec 2010 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Thu, 23 Dec 2010 23:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 603710@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: md@Linux.IT, Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Fri, 24 Dec 2010 00:52:01 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec 16, 2010 at 21:21:06 +0100, Marco d'Itri wrote:

> On Dec 16, Julien Cristau <jcristau@debian.org> wrote:
> 
> > > CCing the release team to raise awareness for this issue.
> > I have no idea what this is about, but it seems you guys need to fight
> LVM is unreliable in squeeze.
> 
> > it out and then come back to us when you have packages you want to see
> > in squeeze?
> The upstream maintainer requested that the udev rules are updated, and
> so I did.
> I even added back a bug to udev because this was not fixed. The
> maintainer did not provide any counterargument.
> What else should I do?
> 
I don't know.  You say there's a RC bug in our lvm package, so you could
provide a patch or NMU, or at least give some details about this since
you seem to know what this is about and there's no details in the bug
log...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Fri, 24 Dec 2010 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 24 Dec 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #42 received at 603710@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Julien Cristau <jcristau@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Fri, 24 Dec 2010 00:57:21 +0100
[Message part 1 (text/plain, inline)]
On Dec 24, Julien Cristau <jcristau@debian.org> wrote:

> I don't know.  You say there's a RC bug in our lvm package, so you could
> provide a patch or NMU, or at least give some details about this since
> you seem to know what this is about and there's no details in the bug
> log...
This is what the upstream maintainer had to say on the matter:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590665#20
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593625#25

I had to revert the change discussed in #593625 because the LVM rules
have not been updated.

I do not know lvm enough to provide a reasonably safe patch.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Tue, 28 Dec 2010 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Tue, 28 Dec 2010 21:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 603710@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: md@Linux.IT, Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org, Debian-Release <debian-release@lists.debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Tue, 28 Dec 2010 22:25:22 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 603710 squeeze-can-defer
tag 603710 squeeze-ignore
kthxbye

On Fri, Dec 24, 2010 at 00:57:21 +0100, Marco d'Itri wrote:

> On Dec 24, Julien Cristau <jcristau@debian.org> wrote:
> 
> > I don't know.  You say there's a RC bug in our lvm package, so you could
> > provide a patch or NMU, or at least give some details about this since
> > you seem to know what this is about and there's no details in the bug
> > log...
> This is what the upstream maintainer had to say on the matter:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590665#20
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593625#25
> 
> I had to revert the change discussed in #593625 because the LVM rules
> have not been updated.
> 
> I do not know lvm enough to provide a reasonably safe patch.
> 
Then unless waldi reappears or someone does provide a patch, it doesn't
seem like there's anything we can do about this.  Tagging accordingly.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 28 Dec 2010 21:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Fri, 07 Jan 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 07 Jan 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #54 received at 603710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: md@Linux.IT, Julien Cristau <jcristau@debian.org>, 603710@bugs.debian.org
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Fri, 07 Jan 2011 03:49:14 +0100
[Message part 1 (text/plain, inline)]
On 24.12.2010 00:57, Marco d'Itri wrote:
> On Dec 24, Julien Cristau <jcristau@debian.org> wrote:
> 
>> I don't know.  You say there's a RC bug in our lvm package, so you could
>> provide a patch or NMU, or at least give some details about this since
>> you seem to know what this is about and there's no details in the bug
>> log...
> This is what the upstream maintainer had to say on the matter:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590665#20
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=593625#25
> 
> I had to revert the change discussed in #593625 because the LVM rules
> have not been updated.
> 
> I do not know lvm enough to provide a reasonably safe patch.
> 

The latest lvm2 upstream version is 2.07.79.

I've updated to that version, and the symlinks were still missing in the udev
db. I then dropped the custom udev rules shipped by the debian package and used
the pristine upstream ones, and the symlinks were correctly set.

As a last test, I tried the same for 2.02.66: Install the pristine upstream udev
rules instead of the Debian ones. That did not help for 2.02.66.

So I guess it is both: the Debian lvm2 package being too old (*) and the udev
rules not up-to-date.

Regarding the latter, I'm wondering why the Debian package ships custom udev
rules at all. Given waldi's comment, that he doesn't really know about the udev
integration, shipping the upstream rules files looks like the better option to
me. I quickly looked over the upstream rules files and they seem pretty sane at
a cursory glance.


Given that Julien already tagged the bug can-defer, let's hope it get's fixed
soon when wheezy development opens and new upstream releases are allowed again.


Cheers,
Michael

(*) If upstream would have provided a git repo I probably would have tried a git
bisect.
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Fri, 07 Jan 2011 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alasdair G Kergon <agk@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 07 Jan 2011 12:18:03 GMT) Full text and rfc822 format available.

Message #59 received at 603710@bugs.debian.org (full text, mbox):

From: Alasdair G Kergon <agk@redhat.com>
To: Michael Biebl <biebl@debian.org>, 603710@bugs.debian.org
Cc: md@Linux.IT, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Fri, 7 Jan 2011 12:16:06 +0000
On Fri, Jan 07, 2011 at 03:49:14AM +0100, Michael Biebl wrote:
> (*) If upstream would have provided a git repo I probably would have tried a git
> bisect.

http://sourceware.org/git/?p=lvm2.git;a=summary

Alasdair





Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#603710; Package lvm2. (Fri, 07 Jan 2011 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. (Fri, 07 Jan 2011 15:09:03 GMT) Full text and rfc822 format available.

Message #64 received at 603710@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Alasdair G Kergon <agk@redhat.com>
Cc: 603710@bugs.debian.org
Subject: Re: Bug#603710: root and swap devices on lvm do not correctly show up in udev (missing symlinks)
Date: Fri, 07 Jan 2011 16:04:41 +0100
[Message part 1 (text/plain, inline)]
On 07.01.2011 13:16, Alasdair G Kergon wrote:
> On Fri, Jan 07, 2011 at 03:49:14AM +0100, Michael Biebl wrote:
>> (*) If upstream would have provided a git repo I probably would have tried a git
>> bisect.
> 
> http://sourceware.org/git/?p=lvm2.git;a=summary

Apologies, I missed that indeed.
Most likely because http://sourceware.org/lvm2/ still advertises the CVS
repository...

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 593625 603710. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 21:30:07 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 21 Feb 2011 22:06:06 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Mon, 21 Feb 2011 22:06:06 GMT) Full text and rfc822 format available.

Message #71 received at 603710-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 603710-close@bugs.debian.org
Subject: Bug#603710: fixed in lvm2 2.02.84-1
Date: Mon, 21 Feb 2011 22:04:18 +0000
Source: lvm2
Source-Version: 2.02.84-1

We believe that the bug you reported is fixed in the latest version of
lvm2, which is due to be installed in the Debian FTP archive:

clvm_2.02.84-1_amd64.deb
  to main/l/lvm2/clvm_2.02.84-1_amd64.deb
dmsetup-udeb_1.02.63-1_amd64.udeb
  to main/l/lvm2/dmsetup-udeb_1.02.63-1_amd64.udeb
dmsetup_1.02.63-1_amd64.deb
  to main/l/lvm2/dmsetup_1.02.63-1_amd64.deb
libdevmapper-dev_1.02.63-1_amd64.deb
  to main/l/lvm2/libdevmapper-dev_1.02.63-1_amd64.deb
libdevmapper1.02.1-udeb_1.02.63-1_amd64.udeb
  to main/l/lvm2/libdevmapper1.02.1-udeb_1.02.63-1_amd64.udeb
libdevmapper1.02.1_1.02.63-1_amd64.deb
  to main/l/lvm2/libdevmapper1.02.1_1.02.63-1_amd64.deb
liblvm2-dev_2.02.84-1_amd64.deb
  to main/l/lvm2/liblvm2-dev_2.02.84-1_amd64.deb
liblvm2app2.2_2.02.84-1_amd64.deb
  to main/l/lvm2/liblvm2app2.2_2.02.84-1_amd64.deb
liblvm2cmd2.02_2.02.84-1_amd64.deb
  to main/l/lvm2/liblvm2cmd2.02_2.02.84-1_amd64.deb
lvm2-udeb_2.02.84-1_amd64.udeb
  to main/l/lvm2/lvm2-udeb_2.02.84-1_amd64.udeb
lvm2_2.02.84-1.debian.tar.gz
  to main/l/lvm2/lvm2_2.02.84-1.debian.tar.gz
lvm2_2.02.84-1.dsc
  to main/l/lvm2/lvm2_2.02.84-1.dsc
lvm2_2.02.84-1_amd64.deb
  to main/l/lvm2/lvm2_2.02.84-1_amd64.deb
lvm2_2.02.84.orig.tar.gz
  to main/l/lvm2/lvm2_2.02.84.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603710@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated lvm2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Feb 2011 22:53:35 +0100
Source: lvm2
Binary: lvm2 lvm2-udeb clvm libdevmapper-dev libdevmapper1.02.1 libdevmapper1.02.1-udeb dmsetup dmsetup-udeb liblvm2app2.2 liblvm2cmd2.02 liblvm2-dev
Architecture: source amd64
Version: 2.02.84-1
Distribution: unstable
Urgency: medium
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 clvm       - Cluster LVM Daemon for lvm2
 dmsetup    - The Linux Kernel Device Mapper userspace library
 dmsetup-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 libdevmapper-dev - The Linux Kernel Device Mapper header files
 libdevmapper1.02.1 - The Linux Kernel Device Mapper userspace library
 libdevmapper1.02.1-udeb - The Linux Kernel Device Mapper userspace library (udeb)
 liblvm2-dev - LVM2 libraries - development files
 liblvm2app2.2 - LVM2 application library
 liblvm2cmd2.02 - LVM2 command library
 lvm2       - The Linux Logical Volume Manager
 lvm2-udeb  - The Linux Logical Volume Manager (udeb)
Closes: 603710
Changes: 
 lvm2 (2.02.84-1) unstable; urgency=medium
 .
   * New upstream version.
   * Adopt upstream changes in udev rules. (closes: #603710)
Checksums-Sha1: 
 d6635287adfa4ad7a8c248bad18b1914455ae65c 1450 lvm2_2.02.84-1.dsc
 30015fd8ea542a9a9f1d1617b520b0a8cc62602d 987278 lvm2_2.02.84.orig.tar.gz
 76efa99a714a293b23539b9b9a5f99ff9e25b466 32232 lvm2_2.02.84-1.debian.tar.gz
 46b98715422bf1592fec7bb950e01680e4424051 94406 libdevmapper1.02.1_1.02.63-1_amd64.deb
 fa4f050c818ea345bbe0beae64ada79459a0d30d 59222 libdevmapper1.02.1-udeb_1.02.63-1_amd64.udeb
 8309784df2d372257e5c6e0c45f0d04eaa701fd7 35576 libdevmapper-dev_1.02.63-1_amd64.deb
 f150a80a9f6b6907bbfaa85daf498f431f292658 59492 dmsetup_1.02.63-1_amd64.deb
 06e6f0dcf3304670144af9156c58faf6298aff4b 22030 dmsetup-udeb_1.02.63-1_amd64.udeb
 08cffeb7fc30c70e1b860f26868184168c2cd53a 292852 liblvm2app2.2_2.02.84-1_amd64.deb
 d2ef8e23524e5575c87a526d43ccec25f150d987 380602 liblvm2cmd2.02_2.02.84-1_amd64.deb
 1b35780fc51bfc04c23afcec0107bfd960f42ca2 62804 liblvm2-dev_2.02.84-1_amd64.deb
 1db095147bcf2a3ef6f50f1fe3c05ec8a7b04370 494840 lvm2_2.02.84-1_amd64.deb
 7f95a088039a4e9dd52de0ceabfdc298acdcb620 298490 lvm2-udeb_2.02.84-1_amd64.udeb
 10447af4df9fac36eec1f9126a12018e29314d9e 310652 clvm_2.02.84-1_amd64.deb
Checksums-Sha256: 
 47fc49b7503b12632c49d6acd973e183a522e498f4784d2d3eb01fa32ab64577 1450 lvm2_2.02.84-1.dsc
 f65f0a2a9b5c92addaf2215b40c2288c7e5efcdd008a60a6d14110a72d7fb15e 987278 lvm2_2.02.84.orig.tar.gz
 92446c5a3749dae1f6608d6c47c352e03a07a00ac9604ffb1852483bbcb925c5 32232 lvm2_2.02.84-1.debian.tar.gz
 4870e945dc585258e8788a59ebbdf339ab3ebec9f3b757e917ec7bee12e09305 94406 libdevmapper1.02.1_1.02.63-1_amd64.deb
 b9e954d7b322f4b59467b5532d2c006b05d7718dd3db78682523e58b06763952 59222 libdevmapper1.02.1-udeb_1.02.63-1_amd64.udeb
 aad1d9d508bfac9e901832afc76340ddafd30e276fb2cc568a65c34a6165c05c 35576 libdevmapper-dev_1.02.63-1_amd64.deb
 034c314912b1add764b16935c6a309825443d7209620c5c96219c2e9e02e2eab 59492 dmsetup_1.02.63-1_amd64.deb
 9965e050a2be8023fe2c311ddd0a22da72b4b0446e468450fea005a899abd17f 22030 dmsetup-udeb_1.02.63-1_amd64.udeb
 74fd8b6b0486f6359916418257a4463a16aeb6f156c07c86d186a743b926d93c 292852 liblvm2app2.2_2.02.84-1_amd64.deb
 a9045d3155f563311c8c20916ba049252bdf9906ff74e178d6725b3166e0f5b0 380602 liblvm2cmd2.02_2.02.84-1_amd64.deb
 7d7627dfc08146624cc7ce97bacfed4b07f7273751ec68393b7bc230d6667590 62804 liblvm2-dev_2.02.84-1_amd64.deb
 d6c5ea67f245c31b44e030d0432a08eb8c7bc650b446e77deba2c6edcfeee6f6 494840 lvm2_2.02.84-1_amd64.deb
 1fbe16d6590b0dd0a35b25cac6100e18848372435e35ead3874998dd1e4b6444 298490 lvm2-udeb_2.02.84-1_amd64.udeb
 50dd3b5043158423f366e208ffc770b1b4ae70c812c6880cb87504e350bb55f9 310652 clvm_2.02.84-1_amd64.deb
Files: 
 2407b398e064e7fe005ec9f3e24c81f0 1450 admin optional lvm2_2.02.84-1.dsc
 9438e8185e40eef312104b0b9bce0369 987278 admin optional lvm2_2.02.84.orig.tar.gz
 39995bec5dd73f159c24e5092d2af276 32232 admin optional lvm2_2.02.84-1.debian.tar.gz
 e6769f2f4307bed4a3b2187437dfeb03 94406 libs required libdevmapper1.02.1_1.02.63-1_amd64.deb
 c4997a02e4db9ee3595b364b94f89c79 59222 debian-installer optional libdevmapper1.02.1-udeb_1.02.63-1_amd64.udeb
 7bc059e08404c021dd44cb7dd060a8ec 35576 libdevel optional libdevmapper-dev_1.02.63-1_amd64.deb
 dff01ed24bc1fe431faff21b52cfd2e1 59492 admin optional dmsetup_1.02.63-1_amd64.deb
 4206e9a5745a1aeeae05a93edf82f3c8 22030 debian-installer optional dmsetup-udeb_1.02.63-1_amd64.udeb
 f637e60dff2dc36d7e952e02f8408615 292852 libs optional liblvm2app2.2_2.02.84-1_amd64.deb
 f381464665e0ff17874703ecaae17f6e 380602 libs optional liblvm2cmd2.02_2.02.84-1_amd64.deb
 4a1a9475c65ed2445f0bcd28e8e9ec6b 62804 libdevel optional liblvm2-dev_2.02.84-1_amd64.deb
 30623af7fee08e96bf7ea92a5ce15985 494840 admin optional lvm2_2.02.84-1_amd64.deb
 726d0cc7a822c9ffa0d051e8e29f6a21 298490 debian-installer optional lvm2-udeb_2.02.84-1_amd64.udeb
 6fda3812d6a5bcd6153b91a86d7ce794 310652 admin extra clvm_2.02.84-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1i3/4ACgkQLkAIIn9ODhGi8ACg+x+rrLyZaLsw7Nvoi5Bq2bVX
FV4An00MMC7GQu9BcWNcPkiQM8uygyWe
=Q2sc
-----END PGP SIGNATURE-----





Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Mon, 21 Feb 2011 22:06:07 GMT) Full text and rfc822 format available.

Notification sent to "Jean-Luc Coulon \(f5ibh\)" <jean-luc.coulon@wanadoo.fr>:
Bug acknowledged by developer. (Mon, 21 Feb 2011 22:06:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:29:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:33:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.